Skip to content
Docs

Portfolio Manager/Organization Loan Tape

Download owned loans

GET/external/secure/api/v2/portfolio/organization/download/owned
Request
curl -X GET \
  "https://figure.com/external/secure/api/v2/portfolio/organization/download/owned?layoutId={layoutId}" \
  -H "apikey: $FIGURE_API_KEY"

Query parameters

  • layoutIdstring<uuid>Required

    CSV layout available for the provided asset type

  • assetTypeIdstring<uuid>

    ID of asset type to query assets for. Required if assetGroupId is not provided.

  • assetGroupIdstring<uuid>

    ID of asset group to filter assets with. Required if assetTypeId is not provided.

  • entityIdstring<uuid>

    ID of entity within the organization to limit owned assets to

Headers

  • apikeystring

    Provided key used to access the application's api

Responses

200CSV record of owned loan data based on the specified asset type and layout for one or all entities in the organization

Returns the file as text/plain.

Response

Returns the file itself (text/plain).